// 驼峰转换为连字符
const camelToHyphen = (str: string) => {
  return str
    .replace(/([A-Z])/g, '-$1') // 在大写字母前添加连字符
    .toLowerCase() // 全部转为小写
    .replace(/^-/, '') // 去除开头的多余连字符（防止首字母大写时出现）
}

export default { camelToHyphen }
