// 定义 vehicleInfo 的类型
export interface VehicleInfo {
  id: string
  licensePlate: string
  destination: string
  typeConfigId: string | undefined
  ccmNo: string
  ccmNo_dictText: string
  shift: string
  shiftGroup: string
  shiftGroup_dictText: string
  shift_dictText: string
  arrivalTime: string
  outTime: string
  steel: string
  size: string
  amountTotal: number
  licensePlateStatus: number
  hasDestination: boolean
  steelReachTime?: string
  positionNum?: string
  arriveNum?: string | number
  confirmNumTime?: string
  panelAmountTotal?: number
}

export interface VehicleResult {
  id: string
  licensePlate: string
  destination: string
  typeConfigId: string | undefined
  ccmNo: string
  shift: string
  shiftGroup: string
  arrivalTime: string
  outTime: string
  steel: string
  size: string
  amountTotal: number
  licensePlateStatus: number
  hasDestination: boolean
  steelReachTime?: string
  positionNum?: string
  arriveNum?: string | number
}

// 定义接口返回数据的类型
export interface VehicleResponse {
  code: number
  message?: string
  result?: VehicleResult
}
